Subject: [Sigtran] ASP Identifier issue

From: "Sergey Mikhailov" <[email-masked]>
Date: Thu, 16 Mar 2006 19:02:15 +0300

Hi,

ASP Identifier parameter defined as follows:

   "The optional ASP Identifier parameter contains a unique value that
   is locally significant among the ASPs that support an AS."

It seems not quite clear:

1.
When ASP Identifier may be omitted in ASP Up and when it is required by an SGP?

2.
Whether ASP Id must be unique in scope of an AS, especially when the ASP (with the only ASP Id) may serve multiple AS?

I didn't find any explanation in the archive. Could anybody please make it clear?

There are similar statements in the specifications for M2UA, M3UA, SUA, IUA regarding ASP Identifier.

For example,
section 4.3.4.1 of rfc3332bis-06 states:

   "If the SGP is aware, via current configuration data,
   which Application Servers the ASP is configured to operate in, the
   SGP updates the ASP state to ASP-INACTIVE in each AS that it is a
   member.

   Alternatively, the SGP may move the ASP into a pool of Inactive ASPs
   available for future configuration within Application Server(s),
   determined in a subsequent Registration Request or ASP Active
   procedure.  If the ASP Up message contains an ASP Identifier, the SGP
   should save the ASP Identifier for that ASP."

Section 3.5.1 (ASP Up description) of RFC 3868 states:

   "ASP Identifier MUST be used where the IPSP/SGP cannot
   identify the ASP by provisioned address/port number
   information (e.g., where an ASP is resident on a Host
   using dynamic address/port number assignment)."

RFC 3331 has similar statement in 3.3.2.1.

Is it legal for an ASP to omit ASP Identifier in ASP Up message in the case when multiple AS can be served and the SG may later accept connection to another ASP? If so, what should SG do if the second ASP specifies ASP Identifier in ASP Up and then relates itself to the same AS (by Reg Req or ASP Active), as the first one?

Thanks in advance,
Sergey Mikhailov.

_______________________________________________
Sigtran mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/sigtran